Summary: Asterisk huawei 3g dongle channel driver
Name: asterisk-chan_dongle
Version: 1.1
Release: r14
License: GPL v2
Group: Applications/Internet
Source0: http://asterisk-chan-dongle.googlecode.com/files/chan_dongle-%{version}.%{release}.tgz
Patch0:	chan_dongle-pin.patch
Patch1:	chan_dongle-1.1.r14.patch
URL: http://wiki.e1550.mobi/
BuildRequires: asterisk-devel >= 1.8
Requires: usb-modeswitch
Requires: usb-modeswitch-data
BuildRoot: %{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
chan_dongle is an Asterisk channel driver for Huawei UMTS/3G USB
modems (dongles). At this moment, the supported features are:

- Voice calls, dialling by modem name, group, round robin, provider
  name, IMEI or IMSI.
- Call waiting
- Call holding
- Conference (multiparty) call
- Send SMS from CLI, asterisk manager and dialplan
- Receive SMS (latin charset and multiline included)
- Send USSD
- Receive USSD (latin charset and multiline included)
- Send DTMF (excluding A,B,C,D letters not supported by Huawei)
- Receive DTMF

%prep
%setup -q -n chan_dongle-%{version}.%{release}
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
install -D etc/dongle.conf $RPM_BUILD_ROOT%{_sysconfdir}/asterisk/dongle.conf
install -D chan_dongle.so $RPM_BUILD_ROOT%{_libdir}/asterisk/modules/chan_dongle.so

%files
%doc BUGS README.txt TODO.txt etc/extensions.conf
%attr(755,root,root) %{_libdir}/asterisk/modules/chan_dongle.so
%attr(640,root,asterisk) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/asterisk/dongle.conf

%changelog
* Fri Jun 07 2013 Marcelo Barbosa <mr.marcelo.barbosa@gmail.com> - 1.1.r14
- Initial package

